summaryrefslogtreecommitdiffhomepage
path: root/subr/pkg_configure_patch_pre.subr
diff options
context:
space:
mode:
authorLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
committerLucio Andrés Illanes Albornoz <lucio@lucioillanes.de>2020-03-15 12:44:26 +0000
commite1d4697bc4af580c8bbdb8256fdc90626e18a226 (patch)
tree99c4cf49c4ba57d83bb03512bce0a89a0ac9d9f3 /subr/pkg_configure_patch_pre.subr
parentb6a9a1a3c8b98077cce47d579069c42080d17da5 (diff)
downloadmidipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.bz2
midipix_build-e1d4697bc4af580c8bbdb8256fdc90626e18a226.tar.xz
Set -o nounset in addition to +o errexit -o nounset.
groups/000.host_tools.group:libtool_host:${PKG_LIBTOOL}: build w/ `none'. subr/build_init.subr:buildp_init_getopts(): set ${DEFAULT_BUILD_CPUS} prior to ex_pkg_load_vars() call. subr/pkg_{build,install_make}.subr: only pass `LIBTOOL=${PKG_LIBTOOL}' if set and not `none'. vars/libtool_host.vars: removes obsolete vars file.
Diffstat (limited to 'subr/pkg_configure_patch_pre.subr')
-rw-r--r--subr/pkg_configure_patch_pre.subr9
1 files changed, 6 insertions, 3 deletions
diff --git a/subr/pkg_configure_patch_pre.subr b/subr/pkg_configure_patch_pre.subr
index 434b1cf7..c78b65b2 100644
--- a/subr/pkg_configure_patch_pre.subr
+++ b/subr/pkg_configure_patch_pre.subr
@@ -1,5 +1,5 @@
#
-# set +o errexit -o noglob is assumed.
+# set +o errexit -o noglob -o nounset is assumed.
#
pkgp_configure_patch_pre() {
@@ -15,8 +15,11 @@ pkgp_configure_patch_pre() {
};
pkgp_configure_patch_pre_chainport() {
- local _chainport_patch_fname="${BUILD_WORKDIR}/chainport/patches/${PKG_NAME%%_*}/${PKG_NAME%%_*}-${PKG_VERSION}.midipix.patch"\
- _chainport_patch_dname="${PKG_BASE_DIR}/${PKG_SUBDIR}/patches/${PKG_NAME%%_*}" _oldpwd="";
+ local _chainport_patch_dname="" _chainport_patch_fname="" _oldpwd="";
+ _chainport_patch_dname="${PKG_BASE_DIR}/${PKG_SUBDIR}/patches/${PKG_NAME%%_*}";
+ if [ -n "${PKG_VERSION:-}" ]; then
+ _chainport_patch_fname="${BUILD_WORKDIR}/chainport/patches/${PKG_NAME%%_*}/${PKG_NAME%%_*}-${PKG_VERSION}.midipix.patch";
+ fi;
if [ -e "${_chainport_patch_fname}" ]; then
if ! rtl_fileop mkdir "${_chainport_patch_dname}"\
|| ! rtl_fileop cp "${_chainport_patch_fname}" "${_chainport_patch_dname}"; then